%global tardirname communi-communi-5f34000

Name:           libcommuni
Version:        1.2.0
Release:        2%{?dist}
Summary:        Cross-platform IRC client library written with Qt 4
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://communi.github.com
# After updating source, update tardirname too.
Source0:        http://github.com/communi/communi/tarball/v%{version}/communi-%{version}.tar.gz
Source1:        communi.desktop
Patch0:         libcommuni-encoding-perf.patch
%if 0%{?rhel} > 0 && 0%{?rhel} <= 6
BuildRequires:  qt4-devel
%else
BuildRequires:  qt-devel
%endif
BuildRequires:  libicu-devel
BuildRequires:  desktop-file-utils
Obsoletes: libircclient-qt < 0.5.0-5

%description
Communi is a cross-platform IRC client library written with Qt 4.

%package devel
Summary:        Cross-platform IRC client library written with Qt 4 (development files)
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes: libircclient-qt-devel < 0.5.0-5

%description devel
Communi is a cross-platform IRC client library written with Qt 4.

# For communi package, Qt is too old on <=RHEL6
%if 0%{?rhel} > 6 || 0%{?fedora} > 15

%package -n communi
Summary:        Cross-platform IRC client library written with Qt 4 (development files)
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes: libircclient-qt-devel < 0.5.0-5

%description -n communi
Communi is a cross-platform IRC client library written with Qt 4.

%endif

%prep
%setup -q -n %{tardirname}
%patch0 -p1

%build
# examples don't build with older Qt versions.
%if 0%{?rhel} > 6 || 0%{?fedora} > 15
qmake-qt4 -config verbose -config no_rpath
%else
qmake-qt4 -config verbose -config no_examples -config no_rpath
%endif

make %{_smp_mflags}

%check
# qmake-qt4 does not generate 'make check' on epel6
LD_LIBRARY_PATH=./lib ./tests/auto/ircdecoder/ircdecoder
LD_LIBRARY_PATH=./lib ./tests/auto/ircsender/ircsender
LD_LIBRARY_PATH=./lib ./tests/auto/ircparser/ircparser
LD_LIBRARY_PATH=./lib ./tests/auto/ircsession/ircsession
LD_LIBRARY_PATH=./lib ./tests/auto/irccommand/irccommand
LD_LIBRARY_PATH=./lib ./tests/auto/ircmessage/ircmessage

%install
make INSTALL_ROOT=%{buildroot} install
# Remove communi.desktop installed by make, because it must be installed
# using desktop-file-install
rm -f %{buildroot}%{_datadir}/applications/communi.desktop
desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications \
%{SOURCE1}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README CHANGELOG
%{_libdir}/libCommuni.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/
%{_includedir}/Communi/
%{_libdir}/libCommuni.so
%{_libdir}/qt4/mkspecs/features/communi-config.prf
%{_libdir}/qt4/mkspecs/features/communi.prf
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_libdir}/qt4/imports/Communi/
%endif

%if 0%{?rhel} > 6 || 0%{?fedora} > 15
%files -n communi
%doc doc/
%{_bindir}/communi
%{_libdir}/qt4/plugins/communi
%{_datadir}/applications/communi.desktop
%{_datadir}/pixmaps/communi.png
%endif

%changelog
* Mon Dec 03 2012 Jan Kaluza <jkaluza@redhat.com> - 1.2.0-2
- add upstream fix to parser performance bottleneck caused by encoding settings

* Tue Oct 09 2012 Jan Kaluza <jkaluza@redhat.com> - 1.2.0-1
- update to new upstream version 1.2.0

* Wed Sep 05 2012 Jan Kaluza <jkaluza@redhat.com> - 1.1.2-1
- Initial Fedora packaging
